GenericResourceExpanded Class

Resource information.

Variables are only populated by the server, and will be ignored when sending a request.

Inheritance
azure.mgmt.resource.resources.v2019_05_10.models._models_py3.GenericResource
GenericResourceExpanded

Constructor

GenericResourceExpanded(*, location: Optional[str] = None, tags: Optional[Dict[str, str]] = None, plan: Optional[azure.mgmt.resource.resources.v2019_05_10.models._models_py3.Plan] = None, properties: Optional[Any] = None, kind: Optional[str] = None, managed_by: Optional[str] = None, sku: Optional[azure.mgmt.resource.resources.v2019_05_10.models._models_py3.Sku] = None, identity: Optional[azure.mgmt.resource.resources.v2019_05_10.models._models_py3.Identity] = None, **kwargs)

Variables

id
str

Resource ID.

name
str

Resource name.

type
str

Resource type.

location
str

Resource location.

tags
dict[str, str]

A set of tags. Resource tags.

plan
Plan

The plan of the resource.

properties
any

The resource properties.

kind
str

The kind of the resource.

managed_by
str

ID of the resource that manages this resource.

sku
Sku

The SKU of the resource.

identity
Identity

The identity of the resource.

created_time
datetime

The created time of the resource. This is only present if requested via the $expand query parameter.

changed_time
datetime

The changed time of the resource. This is only present if requested via the $expand query parameter.

provisioning_state
str

The provisioning state of the resource. This is only present if requested via the $expand query parameter.